%define ver_major 0.4
%define _unpackaged_files_terminate_build 1

Name: revelation
Version: %ver_major.11
Release: alt4

Summary: Keyring management program for the GNOME Desktop
License: %gpl2plus
Group: Graphical desktop/GNOME
Url: http://oss.codepoet.no/%name

Source: ftp://oss.codepoet.no/%name/%name-%version.tar.bz2
Patch1: %name-0.4.11-fix-indexerror.patch
Patch2: %name-0.4.11-fix-desktop-file.patch

%define GConf_ver 2.10.0

PreReq: GConf2 >= %GConf_ver

BuildPreReq: shared-mime-info desktop-file-utils

BuildRequires(pre): rpm-build-python rpm-build-licenses rpm-build-gnome
BuildPreReq: python-devel = %__python_version

# From acinclude.m4
BuildPreReq: cracklib-devel cracklib-utils
BuildPreReq: GConf libGConf-devel
BuildPreReq: intltool >= 0.35.0
BuildPreReq: python-module-pygtk-devel >= 2.8.0
BuildPreReq: python-module-pygnome-devel >= 2.10.0
BuildPreReq: python-module-pygnome-extras-devel >= 2.10.0

# And more from configure.ac
BuildPreReq: %py_dependencies Crypto bonobo gconf gtk gnome gnomeapplet gnomevfs gobject pango

%description
This a keyring management program for the GNOME Desktop

%prep
%setup -q
%patch1 -p0 -b .fix-indexerror.patch
%patch2 -p0 -b .fix-desktop-file.patch

%build
#export PATH=%_sbindir:$PATH
%configure \
		--disable-scrollkeeper --disable-schemas-install \
		--disable-desktop-update \
		--disable-mime-update

%make_build

%install
%makeinstall_std

#__subst 's,%buildroot,,' %buildroot%python_sitelibdir/%name/config.py

%find_lang --with-gnome %name

%post
%gconf2_install %name %name-applet

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name %name-applet
fi

%files -f %name.lang
%_bindir/%name
%dir %python_sitelibdir/%name
%python_sitelibdir/%name/crack.so
%python_sitelibdir/%name/*.py
%python_sitelibdir/%name/*.pyc
%python_sitelibdir/%name/*.pyo
%dir %python_sitelibdir/%name/bundle
%dir %python_sitelibdir/%name/datahandler
%python_sitelibdir/%name/*/*.py
%python_sitelibdir/%name/*/*.pyc
%python_sitelibdir/%name/*/*.pyo
%bonobo_serversdir/GNOME_RevelationApplet.server
%_libexecdir/%name-applet
%_desktopdir/%name.desktop
%_datadir/mime/packages/revelation.xml
%_datadir/%name
%_iconsdir/hicolor/*x*/apps/%name.png
%_iconsdir/hicolor/*x*/apps/%name-locked.png
%_iconsdir/hicolor/*x*/mimetypes/gnome-mime-application-x-%name.png
%config %gconf_schemasdir/%name.schemas
%config %gconf_schemasdir/%name-applet.schemas

%changelog
* Thu Mar 19 2009 Alexey Rusakov <ktirf@altlinux.org> 0.4.11-alt4
- Fixed crash due to an IndexError inside revelation.
- Removed deprecated macros from the specfile.
- Used RPM macros from rpm-build-gnome.
- Looks like upstream has disappeared :(

* Tue May 13 2008 Alexey Rusakov <ktirf@altlinux.org> 0.4.11-alt3
- Included missing subdirectories in the file list.
- Updated the License tag.

* Mon Feb 11 2008 Grigory Batalov <bga@altlinux.ru> 0.4.11-alt2.1
- Rebuilt with python-2.5.

* Mon Mar 19 2007 Alexey Rusakov <ktirf@altlinux.org> 0.4.11-alt2
- fixed building on x86_64

* Sun Mar 18 2007 Alexey Rusakov <ktirf@altlinux.org> 0.4.11-alt1
- new version, taken the package from orphaned.
- spec cleanup
- updated buildreqs
- removed Debian menu support
- _unpackaged_files_terminate_build from now on.

* Fri Apr 01 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.4.3-alt1
- 0.4.3

* Wed Mar 23 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.4.2-alt1
- First build for Sisyphus.
